Index: /code/forks/sandbox_light/src/libraries/util/Math.cc
===================================================================
--- /code/forks/sandbox_light/src/libraries/util/Math.cc	(revision 7907)
+++ /code/forks/sandbox_light/src/libraries/util/Math.cc	(revision 7908)
@@ -34,5 +34,5 @@
 #include "Math.h"
 
-#include <OgrePlane.h>
+#include <ogremath/OgrePlane.h>
 
 #include "MathConvert.h"
Index: /code/forks/sandbox_light/src/libraries/util/Math.h
===================================================================
--- /code/forks/sandbox_light/src/libraries/util/Math.h	(revision 7907)
+++ /code/forks/sandbox_light/src/libraries/util/Math.h	(revision 7908)
@@ -47,10 +47,10 @@
 #include <cstdlib>
 
-#include <OgreMath.h>
-#include <OgreVector2.h>
-#include <OgreVector3.h>
-#include <OgreVector4.h>
-#include <OgreQuaternion.h>
-#include <OgreColourValue.h>
+#include <ogremath/OgreMath.h>
+#include <ogremath/OgreVector2.h>
+#include <ogremath/OgreVector3.h>
+#include <ogremath/OgreVector4.h>
+#include <ogremath/OgreQuaternion.h>
+#include <ogremath/OgreColourValue.h>
 
 // Certain headers might define unwanted macros...
Index: /code/forks/sandbox_light/src/libraries/util/MultiType.h
===================================================================
--- /code/forks/sandbox_light/src/libraries/util/MultiType.h	(revision 7907)
+++ /code/forks/sandbox_light/src/libraries/util/MultiType.h	(revision 7908)
@@ -100,9 +100,9 @@
 #include <cassert>
 #include <string>
-#include <OgreVector2.h>
-#include <OgreVector3.h>
-#include <OgreVector4.h>
-#include <OgreQuaternion.h>
-#include <OgreColourValue.h>
+#include <ogremath/OgreVector2.h>
+#include <ogremath/OgreVector3.h>
+#include <ogremath/OgreVector4.h>
+#include <ogremath/OgreQuaternion.h>
+#include <ogremath/OgreColourValue.h>
 #include <loki/TypeTraits.h>
 #include "mbool.h"
@@ -260,8 +260,4 @@
 
             virtual void toString(std::ostream& outstream) const = 0;
-
-            virtual void importData( uint8_t*& mem )=0;
-            virtual void exportData( uint8_t*& mem ) const=0;
-            virtual uint8_t getSize() const=0;
 
             MT_Type::Value type_;   ///< The type of the current value
@@ -374,14 +370,4 @@
             std::string                       getTypename()               const;
 
-            /// Saves the value of the MT to a bytestream (pointed at by mem) and increases mem pointer by size of MT
-            inline void                       exportData(uint8_t*& mem) const { assert(sizeof(MT_Type::Value)<=8); *static_cast<uint8_t*>(mem) = this->getType(); mem+=sizeof(uint8_t); this->value_->exportData(mem); }
-            /// Loads the value of the MT from a bytestream (pointed at by mem) and increases mem pointer by size of MT
-            inline void                       importData(uint8_t*& mem) { assert(sizeof(MT_Type::Value)<=8); this->setType(static_cast<MT_Type::Value>(*static_cast<uint8_t*>(mem))); mem+=sizeof(uint8_t); this->value_->importData(mem); }
-            /// Saves the value of the MT to a bytestream and increases pointer to bytestream by size of MT
-            inline uint8_t*&                  operator << (uint8_t*& mem) { importData(mem); return mem; }
-            /// Loads the value of the MT to a bytestream and increases pointer to bytestream by size of MT
-            inline void                       operator >> (uint8_t*& mem) const { exportData(mem); }
-            inline uint32_t                   getNetworkSize() const { assert(this->value_); return this->value_->getSize() + sizeof(uint8_t); }
-
             /// Checks whether the value is a default one (assigned after a failed conversion)
             bool                              hasDefaultValue() const { return this->value_->hasDefaultValue(); }
Index: /code/forks/sandbox_light/src/libraries/util/MultiTypeValue.h
===================================================================
--- /code/forks/sandbox_light/src/libraries/util/MultiTypeValue.h	(revision 7907)
+++ /code/forks/sandbox_light/src/libraries/util/MultiTypeValue.h	(revision 7908)
@@ -43,5 +43,4 @@
 #include "MathConvert.h"
 #include "MultiType.h"
-#include "Serialise.h"
 
 namespace orxonox
@@ -155,116 +154,6 @@
         inline void toString(std::ostream& outstream) const { outstream << this->value_; }
 
-        /// loads data from the bytestream (mem) into the MT and increases the bytestream pointer by the size of the data
-        inline void importData( uint8_t*& mem )         { loadAndIncrease( /*(const T&)*/this->value_, mem ); }
-        /// saves data from the MT into the bytestream (mem) and increases the bytestream pointer by the size of the data
-        inline void exportData( uint8_t*& mem ) const   { saveAndIncrease( /*(const T&)*/this->value_, mem ); }
-        /// returns the size of the data that would be saved by exportData
-        inline uint8_t getSize() const { return returnSize( this->value_ ); }
-
         T value_; ///< The stored value
     };
-
-    // Import / Export specialisation
-    // ColourValue
-    template <> inline void MT_Value<ColourValue>::importData( uint8_t*& mem )
-    {
-        loadAndIncrease( this->value_.r, mem );
-        loadAndIncrease( this->value_.g, mem );
-        loadAndIncrease( this->value_.b, mem );
-        loadAndIncrease( this->value_.a, mem );
-    }
-    template <> inline void MT_Value<ColourValue>::exportData( uint8_t*& mem ) const
-    {
-        saveAndIncrease( this->value_.r, mem );
-        saveAndIncrease( this->value_.g, mem );
-        saveAndIncrease( this->value_.b, mem );
-        saveAndIncrease( this->value_.a, mem );
-    }
-    template <> inline uint8_t MT_Value<ColourValue>::getSize() const
-    {
-        return 4*returnSize(this->value_.r);
-    }
-    // Ogre::Quaternion
-    template <> inline void MT_Value<Ogre::Quaternion>::importData( uint8_t*& mem )
-    {
-        loadAndIncrease( this->value_.x, mem );
-        loadAndIncrease( this->value_.y, mem );
-        loadAndIncrease( this->value_.z, mem );
-        loadAndIncrease( this->value_.w, mem );
-    }
-    template <> inline void MT_Value<Ogre::Quaternion>::exportData( uint8_t*& mem ) const
-    {
-        saveAndIncrease( this->value_.x, mem );
-        saveAndIncrease( this->value_.y, mem );
-        saveAndIncrease( this->value_.z, mem );
-        saveAndIncrease( this->value_.w, mem );
-    }
-    template <> inline uint8_t MT_Value<Ogre::Quaternion>::getSize() const
-    {
-        return 4*returnSize(this->value_.x);
-    }
-    // Ogre::Vector2
-    template <> inline void MT_Value<Ogre::Vector2>::importData( uint8_t*& mem )
-    {
-        loadAndIncrease( this->value_.x, mem );
-        loadAndIncrease( this->value_.y, mem );
-    }
-    template <> inline void MT_Value<Ogre::Vector2>::exportData( uint8_t*& mem ) const
-    {
-        saveAndIncrease( this->value_.x, mem );
-        saveAndIncrease( this->value_.y, mem );
-    }
-    template <> inline uint8_t MT_Value<Ogre::Vector2>::getSize() const
-    {
-        return 2*returnSize(this->value_.x);
-    }
-    // Ogre::Vector3
-    template <> inline void MT_Value<Ogre::Vector3>::importData( uint8_t*& mem )
-    {
-        loadAndIncrease( this->value_.x, mem );
-        loadAndIncrease( this->value_.y, mem );
-        loadAndIncrease( this->value_.z, mem );
-    }
-    template <> inline void MT_Value<Ogre::Vector3>::exportData( uint8_t*& mem ) const
-    {
-        saveAndIncrease( this->value_.x, mem );
-        saveAndIncrease( this->value_.y, mem );
-        saveAndIncrease( this->value_.z, mem );
-    }
-    template <> inline uint8_t MT_Value<Ogre::Vector3>::getSize() const
-    {
-        return 3*returnSize(this->value_.x);
-    }
-    // Ogre::Vector4
-    template <> inline void MT_Value<Ogre::Vector4>::importData( uint8_t*& mem )
-    {
-        loadAndIncrease( this->value_.x, mem );
-        loadAndIncrease( this->value_.y, mem );
-        loadAndIncrease( this->value_.z, mem );
-        loadAndIncrease( this->value_.w, mem );
-    }
-    template <> inline void MT_Value<Ogre::Vector4>::exportData( uint8_t*& mem ) const
-    {
-        saveAndIncrease( this->value_.x, mem );
-        saveAndIncrease( this->value_.y, mem );
-        saveAndIncrease( this->value_.z, mem );
-        saveAndIncrease( this->value_.w, mem );
-    }
-    template <> inline uint8_t MT_Value<Ogre::Vector4>::getSize() const
-    {
-        return 4*returnSize(this->value_.x);
-    }
-    template <> inline void MT_Value<void*>::importData( uint8_t*& mem )
-    {
-        assert(0);
-    }
-    template <> inline void MT_Value<void*>::exportData( uint8_t*& mem ) const
-    {
-        assert(0);
-    }
-    template <> inline uint8_t MT_Value<void*>::getSize() const
-    {
-        assert(0); return 0;
-    }
 }
 
Index: /code/forks/sandbox_light/src/libraries/util/UtilPrereqs.h
===================================================================
--- /code/forks/sandbox_light/src/libraries/util/UtilPrereqs.h	(revision 7907)
+++ /code/forks/sandbox_light/src/libraries/util/UtilPrereqs.h	(revision 7908)
@@ -64,13 +64,4 @@
 namespace orxonox
 {
-    namespace ScopeID
-    {
-        //!A list of available scopes for the Scope template.
-        enum Value
-        {
-            Root,
-            Graphics
-        };
-    }
 }
 
@@ -83,5 +74,4 @@
     class Clock;
     class Exception;
-    class ExprParser;
     class IntVector2;
     class IntVector3;
@@ -89,9 +79,4 @@
     class OutputHandler;
     class OutputListener;
-    template <ScopeID::Value>
-    class Scope;
-    template <class, ScopeID::Value>
-    class ScopedSingleton;
-    class ScopeListener;
     class SignalHandler;
     template <class T>
Index: /code/forks/sandbox_light/src/orxonox/CMakeLists.txt
===================================================================
--- /code/forks/sandbox_light/src/orxonox/CMakeLists.txt	(revision 7907)
+++ /code/forks/sandbox_light/src/orxonox/CMakeLists.txt	(revision 7908)
@@ -24,45 +24,9 @@
 
 SET_SOURCE_FILES(ORXONOX_SRC_FILES
-  Level.cc
-  LevelInfo.cc
-  LevelManager.cc
   Main.cc
-  MoodManager.cc
-  PawnManager.cc
-  PlayerManager.cc
-  Radar.cc
-  ChatHistory.cc
-  ChatInputHandler.cc
-#  Test.cc
-COMPILATION_BEGIN SceneCompilation.cc
-  CameraManager.cc
-  Scene.cc
-COMPILATION_END
 )
-
-ADD_SUBDIRECTORY(collisionshapes)
-ADD_SUBDIRECTORY(controllers)
-ADD_SUBDIRECTORY(gamestates)
-ADD_SUBDIRECTORY(gametypes)
-ADD_SUBDIRECTORY(graphics)
-ADD_SUBDIRECTORY(infos)
-ADD_SUBDIRECTORY(interfaces)
-ADD_SUBDIRECTORY(items)
-ADD_SUBDIRECTORY(overlays)
-ADD_SUBDIRECTORY(pickup)
-ADD_SUBDIRECTORY(sound)
-ADD_SUBDIRECTORY(weaponsystem)
-ADD_SUBDIRECTORY(worldentities)
 
 ORXONOX_ADD_LIBRARY(orxonox
   FIND_HEADER_FILES
-  TOLUA_FILES
-    ChatInputHandler.h
-    LevelInfo.h
-    LevelManager.h
-    MoodManager.h
-    controllers/HumanController.h
-    infos/PlayerInfo.h
-    sound/SoundManager.h
   PCH_FILE
     OrxonoxPrecompiledHeaders.h
@@ -70,19 +34,6 @@
     ${Boost_FILESYSTEM_LIBRARY}
     ${Boost_SYSTEM_LIBRARY} # Filesystem dependency
-    ${Boost_THREAD_LIBRARY}
-    ${Boost_DATE_TIME_LIBRARY} # Thread dependency
-    ${OGRE_LIBRARY}
-    ${OPENAL_LIBRARY}
-    ${ALUT_LIBRARY}
-    ${VORBISFILE_LIBRARY}
-    ${VORBIS_LIBRARY}
-    ${OGG_LIBRARY}
-    tinyxml_orxonox
-    tolua_orxonox
-    bullet_orxonox
     util
     core
-    network
-    tools
   SOURCE_FILES ${ORXONOX_SRC_FILES}
 )
Index: /code/forks/sandbox_light/src/orxonox/Main.cc
===================================================================
--- /code/forks/sandbox_light/src/orxonox/Main.cc	(revision 7907)
+++ /code/forks/sandbox_light/src/orxonox/Main.cc	(revision 7908)
@@ -37,24 +37,8 @@
 
 #include "core/CommandLineParser.h"
-#include "core/Game.h"
-#include "core/LuaState.h"
-#include "ToluaBindOrxonox.h"
-#include "ToluaBindNetwork.h"
-
-DeclareToluaInterface(Orxonox);
-DeclareToluaInterface(Network);
+#include "core/Core.h"
 
 namespace orxonox
 {
-    SetCommandLineSwitch(console).information("Start in console mode (text IO only)");
-    SetCommandLineSwitch(server).information("Start in server mode");
-    SetCommandLineSwitch(client).information("Start in client mode");
-    SetCommandLineSwitch(dedicated).information("Start in dedicated server mode");
-    SetCommandLineSwitch(standalone).information("Start in standalone mode");
-    SetCommandLineSwitch(dedicatedClient).information("Start in dedicated client mode");
-
-    /* ADD masterserver command */
-    SetCommandLineSwitch(masterserver).information("Start in masterserver mode");
-
     SetCommandLineArgument(generateDoc, "")
         .information("Generates a Doxygen file from things like SetConsoleCommand");
@@ -66,45 +50,12 @@
     int main(const std::string& strCmdLine)
     {
-        Game* game = new Game(strCmdLine);
+        Core* core = new Core(strCmdLine);
 
         if (CommandLineParser::getValue("generateDoc").getString().empty())
         {
-            /* TODO make this clear */
-            game->setStateHierarchy(
-            "root"
-            " graphics"
-            "  mainMenu"
-            "  standalone,server,client"
-            "   level"
-            " server,client,masterserver"
-            "  level"
-            );
-
-            game->requestState("root");
-
-            // Some development hacks (not really, but in the future, these calls won't make sense anymore)
-            if (CommandLineParser::getValue("standalone").getBool())
-                Game::getInstance().requestStates("graphics, standalone, level");
-            else if (CommandLineParser::getValue("server").getBool())
-                Game::getInstance().requestStates("graphics, server, level");
-            else if (CommandLineParser::getValue("client").getBool())
-                Game::getInstance().requestStates("graphics, client, level");
-            else if (CommandLineParser::getValue("dedicated").getBool())
-                Game::getInstance().requestStates("server, level");
-            else if (CommandLineParser::getValue("dedicatedClient").getBool())
-                Game::getInstance().requestStates("client, level");
-            /* ADD masterserver command */
-            else if (CommandLineParser::getValue("masterserver").getBool())
-                Game::getInstance().requestStates("masterserver");
-            else
-            {
-                if (!CommandLineParser::getValue("console").getBool())
-                    Game::getInstance().requestStates("graphics, mainMenu");
-            }
-
-            game->run();
+            // Start your program here
         }
 
-        delete game;
+        delete core;
 
         return 0;
Index: /code/forks/sandbox_light/src/orxonox/OrxonoxPrecompiledHeaders.h
===================================================================
--- /code/forks/sandbox_light/src/orxonox/OrxonoxPrecompiledHeaders.h	(revision 7907)
+++ /code/forks/sandbox_light/src/orxonox/OrxonoxPrecompiledHeaders.h	(revision 7908)
@@ -38,59 +38,4 @@
 #include "OrxonoxConfig.h"
 
-///////////////////////////////////////////
-/////          Stable Headers         /////
-///////////////////////////////////////////
-
-#include <cassert>  // 87
-#include <cstring>  // 87
-#include <fstream>  // 87
-#include <iostream> // 87
-#include <map>      // 87
-#include <set>      // 87
-#include <sstream>  // 87
-#include <string>   // 87
-#include <vector>   // 87
-#include <list>     // 86
-#include <ctime>    // 82
-#include <cmath>    // 81
-#include <deque>    // 81
-#include <queue>    // 81
-
-#include <OgreMath.h>        // 81
-#include <OgreVector2.h>     // 81
-#include <OgreVector3.h>     // 81
-#include <OgreVector4.h>     // 81
-#include <OgreQuaternion.h>  // 81
-#include <OgreColourValue.h> // 81
-
-#include "util/OgreForwardRefs.h"     // 67
-#include <LinearMath/btMotionState.h> // 60
-#include "util/SubString.h" // 55
-#include <tinyxml/ticpp.h>  // 41
-
-//#include <OgreRenderable.h> // 14, 5.1MB
-//#include <OgreSceneNode.h>  // 13, 1MB
-//#include <OgreResourceGroupManager.h> // 12, 1.5MB
-//#include <OgreTexture.h>       // 11, 0.6MB
-//#include <OgreMovableObject.h> // 10, 1.6MB
-//#include <OgreSceneManager.h>  // 9, 8.7MB
-
-///////////////////////////////////////////
-/////       All Rebuild Headers       /////
-///////////////////////////////////////////
-
-#include "core/BaseObject.h"   // 82
-#include "core/CoreIncludes.h" // 80
-
-///////////////////////////////////////////
-/////      Not so Stable Headers      /////
-///////////////////////////////////////////
-
-#include "network/synchronisable/Synchronisable.h" // 70
-#include "util/MultiType.h"    // 65
-#include "core/command/Executor.h"     // 55
-//#include "core/XMLPort.h"     // 41
-
-
 // Just in case some header included windows.h
 #undef min
Index: /code/forks/sandbox_light/src/orxonox/OrxonoxPrereqs.h
===================================================================
--- /code/forks/sandbox_light/src/orxonox/OrxonoxPrereqs.h	(revision 7907)
+++ /code/forks/sandbox_light/src/orxonox/OrxonoxPrereqs.h	(revision 7908)
@@ -37,5 +37,4 @@
 
 #include "OrxonoxConfig.h"
-#include "tools/ToolsPrereqs.h"
 
 //-----------------------------------------------------------------------
@@ -65,150 +64,5 @@
 namespace orxonox
 {
-    class CameraManager;
-    class Level;
-    class LevelInfo;
-    class LevelInfoItem;
-    class LevelManager;
-    class PawnManager;
-    class PlayerManager;
-    class Radar;
-    class Scene;
-
-    // collisionshapes
-    class CollisionShape;
-    class CompoundCollisionShape;
-    class WorldEntityCollisionShape;
-
-    // controllers
-    class AIController;
-    class ArtificialController;
-    class Controller;
-    class DroneController;
-    class HumanController;
-    class ScriptController;
-    class WaypointController;
-    class WaypointPatrolController;
-
-    // gametypes
-    class Asteroids;
-    class Deathmatch;
-    class Dynamicmatch;
-    class Gametype;
-    class LastManStanding;
-    class TeamBaseMatch;
-    class TeamDeathmatch;
-    class UnderAttack;
-
-    // graphics
-    class Backlight;
-    class Billboard;
-    class BlinkingBillboard;
-    class Camera;
-    class FadingBillboard;
-    class GlobalShader;
-    class Light;
-    class Model;
-    class ParticleEmitter;
-    class ParticleSpawner;
-
-    // infos
-    class Bot;
-    class GametypeInfo;
-    class HumanPlayer;
-    class Info;
-    class PlayerInfo;
-
-    // interfaces
-    class GametypeMessageListener;
-    class NotificationListener;
-    class Pickupable;
-    class PickupCarrier;
-    class PlayerTrigger;
-    class RadarListener;
-    class RadarViewable;
-    class Rewardable;
-    class TeamColourable;
-
-    // items
-    class Engine;
-    class Item;
-    class MultiStateEngine;
-
-    // overlays
-    class InGameConsole;
-    class Map;
-    class OrxonoxOverlay;
-    class OverlayGroup;
-
-    // pickup
-    class PickupIdentifier;
-
-    //sound
-    class AmbientSound;
-    class BaseSound;
-    class SoundBuffer;
-    class SoundManager;
-    class SoundStreamer;
-    class WorldSound;
-    class WorldAmbientSound;
-
-    // weaponsystem
-    class DefaultWeaponmodeLink;
-    class Munition;
-    class Weapon;
-    class WeaponMode;
-    class WeaponPack;
-    class WeaponSet;
-    class WeaponSlot;
-    class WeaponSystem;
-
-    // worldentities
-    class BigExplosion;
-    class CameraPosition;
-    class ControllableEntity;
-    class Drone;
-    class EffectContainer;
-    class ExplosionChunk;
-    class MobileEntity;
-    class MovableEntity;
-    class SpawnPoint;
-    class StaticEntity;
-    class TeamSpawnPoint;
-    class WorldEntity;
-    class Rocket;
-    // worldentities, pawns
-    class Destroyer;
-    class Pawn;
-    class SpaceShip;
-    class Spectator;
-    class TeamBaseMatchBase;
 }
 
-// Bullet Physics Engine
-class btTransform;
-class btVector3;
-
-class btRigidBody;
-class btCollisionObject;
-class btGhostObject;
-class btManifoldPoint;
-
-class btCollisionShape;
-class btSphereShape;
-class btCompoundShape;
-class btStaticPlaneShape;
-
-class btDiscreteDynamicsWorld;
-class bt32BitAxisSweep3;
-class btDefaultCollisionConfiguration;
-class btCollisionDispatcher;
-class btSequentialImpulseConstraintSolver;
-
-// ALUT
-typedef struct ALCcontext_struct ALCcontext;
-typedef struct ALCdevice_struct ALCdevice;
-typedef unsigned int ALuint;
-typedef int ALint;
-typedef int ALenum;
-
 #endif /* _OrxonoxPrereqs_H__ */
